post
https://api.staging.antavo.com/v1/async/events
Use this endpoint to submit a single event for a specified customer asyncronously. The event is accepted immediately and processed in the background.
This endpoint is compatible with the following event actions:
point_addcheckoutcheckout_itemcheckout_updatecheckout_update_itemcheckout_acceptcheckout_accept_itemcheckout_rejectpartial_refundrefund_itemrefundopt_inopt_outprofile
The attributes provided in the data object are examples of point_add and checkout events. Refer to the complete list of events for all the attributes of the mentioned actions.
Examples of event submission:
- Standard event submission: Submit an event for the customer without any additional identifiers.
- Event submission with an external ID: Include the
external_idattribute to link the event with an external identifier of the customer from another system or database. - Event submission with multiple accounts: Specify multiple accounts by including their IDs in the 'account' attribute. This requires the Points economy module to be enabled.
Note: if no account is specified, the event will be assigned to the default account.

